Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page

# ColorBasesCompatibleConcept Struct Template Reference
[Concepts]

`#include <gil_concept.hpp>`

List of all members.

## Detailed Description

### template<typename ColorBase1, typename ColorBase2>
struct boost::gil::ColorBasesCompatibleConcept< ColorBase1, ColorBase2 >

Two color bases are compatible if they have the same color space and their elements are compatible, semantic-pairwise.

    concept ColorBasesCompatibleConcept<ColorBaseConcept C1, ColorBaseConcept C2> {
        where SameType<C1::layout_t::color_space_t, C2::layout_t::color_space_t>;
        // also, for all K in [0 ... size<C1>::value):
        //     where Convertible<kth_semantic_element_type<C1,K>::type, kth_semantic_element_type<C2,K>::type>;
        //     where Convertible<kth_semantic_element_type<C2,K>::type, kth_semantic_element_type<C1,K>::type>;
    };

## Public Member Functions

void | constraints ()

The documentation for this struct was generated from the following file:

- gil_concept.hpp